{
  "name": "web2.0-frontend",
  "version": "0.1.0",
  "description": "Web 2.0 Frontend. React, Typescript.",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/sahkoinsinoorikilta/vtmk/web2.0-frontend.git"
  },
  "keywords": [
    "react",
    "next.js",
    "typescript",
    "styled-components"
  ],
  "author": "Aarni Halinen",
  "license": "MIT",
  "homepage": "https://sahkoinsinoorikilta.fi",
  "scripts": {
    "build": "next build",
    "postbuild": "next-sitemap",
    "export": "next export",
    "lint": "npm run lint:es && npm run lint:css",
    "lint:es": "next lint",
    "lint:es:fix": "next lint --fix",
    "lint:css": "stylelint \"./src/**/*.{ts,tsx}\"",
    "dev": "next dev",
    "start": "next dev",
    "start-prod": "next start --port ${SERVER_PORT:=80}",
    "serve": "next start --port 3000",
    "test:unit": "jest --coverage",
    "test": "npm run testcafe",
    "testcafe": "testcafe --config-file testcafe.json",
    "build-analyze": "ANALYZE=true npm run build",
    "prepare": "husky install"
  },
  "devDependencies": {
    "@types/jest": "^27.4.1",
    "@types/js-cookie": "^3.0.1",
    "@types/node": "^16.11.36",
    "@types/react": "^18.0.15",
    "@types/react-csv": "^1.1.3",
    "@types/react-dom": "^18.0.6",
    "@types/shortid": "^0.0.29",
    "@types/styled-components": "^5.1.25",
    "@typescript-eslint/eslint-plugin": "^5.18.0",
    "@typescript-eslint/parser": "^5.18.0",
    "babel-plugin-styled-components": "^2.0.7",
    "eslint": "^8.13.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-airbnb-typescript": "^17.0.0",
    "eslint-config-next": "^13.1.6",
    "eslint-plugin-import": "^2.26.0",
    "husky": "^7.0.4",
    "jest": "^27.5.1",
    "next-sitemap": "^3.1.11",
    "npm-run-all": "^4.1.5",
    "postcss-jsx": "^0.36.4",
    "postcss-syntax": "^0.36.2",
    "stylelint": "^14.2.0",
    "stylelint-config-recommended": "^6.0.0",
    "stylelint-config-styled-components": "^0.1.1",
    "testcafe": "^1.18.5",
    "ts-jest": "^27.1.4",
    "typescript": "^4.6.3"
  },
  "dependencies": {
    "@next/bundle-analyzer": "^12.2.3",
    "@rjsf/core": "^4.2.0",
    "@sentry/nextjs": "^7.34.0",
    "axios": "^0.26.1",
    "date-fns": "^2.28.0",
    "fast-deep-equal": "^3.1.3",
    "js-cookie": "^3.0.1",
    "lodash": "^4.17.21",
    "next": "^13.1.6",
    "normalize.css": "^8.0.1",
    "react": "^18.2.0",
    "react-csv": "^2.2.2",
    "react-dnd": "15.0.2",
    "react-dnd-html5-backend": "15.0.2",
    "react-dnd-touch-backend": "15.0.2",
    "react-dom": "^18.2.0",
    "react-is": "^18.2.0",
    "react-markdown": "^8.0.3",
    "react-mde": "^11.5.0",
    "react-toastify": "^9.0.7",
    "rehype-raw": "^6.1.1",
    "rehype-sanitize": "^5.0.1",
    "sharp": "^0.30.3",
    "shortid": "^2.2.16",
    "styled-components": "^5.3.5",
    "swr": "^1.2.2"
  },
  "overrides": {
    "react-mde": {
      "react": "$react",
      "react-dom": "$react-dom"
    }
  }
}
